<div class="flex flex-col h-full items-center justify-center">
  <article class="w-1/3">
    <form
      class="grid grid-cols-[1fr 2fr 2fr]"
      [formGroup]="newProjectForm"
      (submit)="createProject()"
    >
      <label class="my-auto text-right" for="projectName">Name</label>
      <input
        class="bg-gray-800 border-transparent rounded-md text-base p-2"
        formControlName="name"
        id="projectName"
        required
        type="text"
      />
      <div><!-- TODO Errors --></div>
      <div class="col-start-2 flex justify-end">
        <app-button text="Make It!" type="submit"></app-button>
      </div>
    </form>
  </article>
</div>
